import React from 'react'
import { NavigationContainer } from '@react-navigation/native';
import { NativeModules } from 'react-native';
import { createStackNavigator, HeaderBackButton } from '@react-navigation/stack';
import Equipment from '../pages/Equipment'
import ChangeNickname from '../pages/ChangeNickname'

const Stack = createStackNavigator();
const { BMCAction: { exit } } = NativeModules;

const pathMap = {
  '/equiment': 'equiment',
  '/changeNickname': 'changeNickname',
};

function AllStack(props) {
  const { path } = props;
  const headerLeft = (props) => (
    <HeaderBackButton
      {...props}
      onPress={() => {
        exit()
      }}
    />
  );

  return (
    <Stack.Navigator initialRouteName={pathMap[path] || 'changeNickname'}>
      <Stack.Screen options={{
        title: '常用设备',
        headerLeft: headerLeft,
      }} name="equiment" component={Equipment} />
      <Stack.Screen options={{
        title: '修改昵称',
        headerLeft: headerLeft,
      }} name="changeNickname" component={ChangeNickname} />
    </Stack.Navigator>
  );
}

export default function App(props) {
  const { path } = props;
  return (
    <NavigationContainer>
      <AllStack path={path} />
    </NavigationContainer>
  );
}
